﻿namespace Connected.Entities.Annotations
{
   [AttributeUsage(AttributeTargets.Property)]
   public sealed class AssociationAttribute : MemberAttribute
   {
      public string? KeyMembers { get; set; }
      public string? RelatedEntityId { get; set; }
      public string? RelatedKeyMembers { get; set; }
      public bool IsForeignKey { get; set; }
   }
}